Home
last modified time | relevance | path

Searched refs:grep (Results 1 – 25 of 477) sorted by relevance

12345678910>>...20

/illumos-gate/usr/src/cmd/ypcmd/yp2lscripts/
H A Dypmap2src.sh241 grep -v YP_LAST_MODIFIED $TMPDIR/$MAP |
242 grep -v "YP_DOMAIN_NAME $DOMAIN" |
243 grep -v YP_MASTER_NAME > $TMPDIR/${MAP}.grep
246 cut -f 2- -d " " $TMPDIR/${MAP}.grep > $TMPDIR/${MAP}.cut
283 grep -v YP_LAST_MODIFIED $TMPDIR/$MAP |
284 grep -v "YP_DOMAIN_NAME $DOMAIN" |
285 grep -v YP_MASTER_NAME > $TMPDIR/${MAP}.grep
288 cut -f 2- -d " " $TMPDIR/${MAP}.grep > $TMPDIR/${MAP}.cut
302 grep -v YP_LAST_MODIFIED $TMPDIR/$MAP |
303 grep -v "YP_DOMAIN_NAME $DOMAIN" |
[all …]
/illumos-gate/usr/src/tools/smatch/src/smatch_scripts/
H A Dfilter_kernel_deref_check.sh12 for line in $(grep 'dereferenced before' $file) ; do
20 if echo "$source_line" | grep -q rcu_assign_pointer ; then
23 if echo "$source_line" | grep -q '^\W*tda_' ; then
26 if echo "$source_line" | grep -q tda_fail ; then
29 if echo "$source_line" | grep -q '^\W*ATH5K_' ; then
32 if echo "$source_line" | grep -qw CMDINFO ; then
35 if echo "$source_line" | grep -qw dump_desc_dbg ; then
38 if echo "$source_line" | grep -qw CAMERA_IS_OPERATIONAL ; then
41 if echo "$source_line" | grep -qw USBVISION_IS_OPERATIONAL ; then
44 if echo "$source_line" | grep -qw DEV_INIT_TEST_WITH_RETURN ; then
[all …]
H A Dkpatch.sh16 if ! echo $ans | grep -iq ^n ; then
28 if ! echo $ans | grep -qi ^y ; then
64 if git diff $fullname | grep ^+ | grep -qi alloc ; then
67 if git diff $fullname | grep ^+ | grep -qi alloc ; then
78 for file in $(grep -l $fullname ~/var/mail/sent-*) ; do
79 grepmail $fullname $file | grep -i ^subject || echo -n ""
97 grep -v '^#' $MSG_FILE > $MSG_FILE.1
H A Dkchecker11 elif which smatch | grep smatch > /dev/null ; then
25 elif echo "$1" | grep -q -- "--outfile=" ; then
44 if echo $1 | grep -q ^- ; then
52 if echo $CMD | grep -q smatch ; then
66 if ! echo $oname | grep -q .o$ && ! echo $oname | grep -q /$ ; then
69 if echo $oname | grep -q .o$ ; then
H A Dsummarize_errs.sh30 if echo $ans | grep ^$ > /dev/null ; then
71 if grep -F "$last" *summary* > /dev/null ; then
80 grep -A1 -F "$last" *summary* 2> /dev/null
83 while echo $ans | grep '?' > /dev/null ; do
86 if echo $ans | grep n > /dev/null ; then
89 if echo $ans | grep f > /dev/null ; then
93 if echo $ans | grep '?' > /dev/null ; then
H A Dgen_sizeof_param.sh21 grep sizeof_param $file | grep '[0-9] [0-9]$' | cut -d ' ' -f 5- | \
23 grep sizeof_param $file | grep '[0-9] -1$' | cut -d ' ' -f 5- | \
25 grep -f $remove $tmp >> $tmp2 2> /dev/null
H A Dfind_null_params.sh10 grep " unchecked " $file | cut -d ' ' -f 5- | sort -u > unchecked
11 grep " undefined " $file | cut -d ' ' -f 5- | sort -u > null_calls.txt
16 grep "$i" $file | grep -w undefined
/illumos-gate/usr/src/test/zfs-tests/tests/functional/history/
H A Dhistory_common.kshlib74 diff $OLD_HISTORY $TMP_HISTORY | grep "^> " | sed 's/^> //g' \
78 grep "$histcmd" $NEW_HISTORY >/dev/null 2>&1 || \
106 grep "$cmd \[user $uid ($user) on $hname\]" $NEW_HISTORY >/dev/null \
131 grep "@$snapname"); do
132 grep "$subcmd $ds ([0-9]*) tag=$tag" $NEW_HISTORY \
163 grep "clone swap $rb_fs ([0-9]*) parent=$parent_fs" $NEW_HISTORY \
170 grep "destroy $rb_fs" $NEW_HISTORY >/dev/null 2>&1
192 grep "$subcmd $ds ([0-9]*) ${prop}=" $NEW_HISTORY >/dev/null \
222 echo $cmd | awk '{i = NF - 1; print $i}' | grep '@' >/dev/null \
245 grep "permission $subcmd $dsname ([0-9]*) $code" \
[all …]
/illumos-gate/usr/src/test/zfs-tests/tests/functional/pool_checkpoint/
H A Dcheckpoint_zdb.ksh61 zdb $TESTPOOL | grep "Checkpointed uberblock found" || \
64 zdb -k $TESTPOOL | grep "Checkpointed uberblock found" && \
67 zdb $TESTPOOL | grep "Dataset $FS1" && \
70 zdb -k $TESTPOOL | grep "Dataset $CHECKPOINTED_FS1" || \
75 zdb -e $TESTPOOL | grep "Checkpointed uberblock found" || \
78 zdb -k -e $TESTPOOL | grep "Checkpointed uberblock found" && \
81 zdb -e $TESTPOOL | grep "Dataset $FS1" && \
84 zdb -k -e $TESTPOOL | grep "Dataset $CHECKPOINTED_FS1" || \
91 zdb $TESTPOOL | grep "Checkpointed uberblock found" && \
/illumos-gate/usr/src/cmd/boot/scripts/
H A Dupdate_grub.ksh49 bootdev=`grep -v "^#" "$ALT_ROOT"/etc/vfstab | grep pcfs \
50 | grep "[ ]/stubboot[ ]" | nawk '{print $1}'`
59 dev=`grep '^PHYS_SLICE=' "$ALT_ROOT"/etc/lu/GRUB_slice |
79 dev=`grep '^PHYS_SLICE' "$ALT_ROOT"/etc/lu/GRUB_slice |
82 fstyp -a "$dev" | grep 'path: ' | grep -v phys_path: |
94 dev=`grep -v "^#" "$ALT_ROOT"/etc/vfstab | \
95 grep "[ ]/[ ]" | nawk '{print $2}'`
121 bootdev=`grep -v "^#" "$ALT_ROOT"/etc/vfstab | grep pcfs | \
122 grep "[ ]/stubboot[ ]" | nawk '{print $1}'`
H A Dextract_boot_filelist.ksh55 ls -d platform/*/kernel | grep -v $STRIP
116 grep ^platform$ $altroot/$list > /dev/null
120 cat $altroot/$list | grep -v ^platform$
122 cat $altroot/$list | grep -v ^platform$ | \
123 grep -v $STRIP
129 cat $altroot/$list | grep -v $STRIP
/illumos-gate/usr/src/cmd/tsol/misc/
H A Dtxzonemgr.sh147 hexlabel=$(grep "^$zonename:" $TNZONECFG|cut -d : -f2);
169 remotes=$(grep -v "^#" $TNRHDB|grep $template)
204 macstate=$(zonecfg -z $zonename info|grep win_mac_write)
243 for zbe in $(zfs list -rHo name $ZDSET/$zonename|grep ROOT/zbe) ; do
258 tnzone=$(grep "^${template}:" $TNRHTP 2>/dev/null)
269 grep "^$tnzline" $TNZONECFG 1>/dev/null 2>&1
297 x=$(grep -i :{$hexlabel}: $TNZONECFG)
339 echo $(zfs get 2>&1 | grep encryption | sed -e s/^.*YES// -e s/\|//g)
363 cversion=$(zpool upgrade -v | grep Crypto | awk '{ print $1 }')
422 grep "^NS_LDAP_SERVERS" | cut -d " " -f2)
[all …]
/illumos-gate/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_expand/
H A Dzpool_expand_001_pos.ksh106 grep "pool '$TESTPOOL1' size:" | \
107 grep "vdev online" | \
108 grep "(+${EX_1GB}" | wc -l)
116 grep "pool '$TESTPOOL1' size:" | \
117 grep "vdev online" | \
118 grep "(+${EX_1GB})" >/dev/null 2>&1
126 grep "pool '$TESTPOOL1' size:" | \
127 grep "vdev online" | \
128 grep "(+${EX_3GB})" >/dev/null 2>&1
H A Dzpool_expand_002_pos.ksh110 | grep "pool '$TESTPOOL1' size:" | \
111 grep "vdev online" | \
112 grep "(+${EX_1GB}" | wc -l)
120 grep "pool '$TESTPOOL1' size:" | \
121 grep "vdev online" | \
122 grep "(+${EX_1GB})" >/dev/null 2>&1
130 grep "pool '$TESTPOOL1' size:" | \
131 grep "vdev online" | \
132 grep "(+${EX_3GB})" >/dev/null 2>&1
/illumos-gate/usr/src/test/os-tests/tests/secflags/
H A Dsecflags_psecflags.sh33 secflags $$ | grep I: > output
52 secflags $$ | grep I: > output
63 secflags $$ | grep I: > output
74 secflags $$ | grep I: > output
81 secflags $$ | grep -q 'I:.*,.*,' || exit 1 # This is lame, but functional
91 secflags $$ | grep I: > output
106 secflags $pid | grep '[IE]:' > output
123 secflags $pid | grep '[IE]:' > output
141 secflags $pid | grep '[IE]:' > output
154 secflags $pid | grep -q 'E:.*,.*,' # This is lame, but functional
[all …]
/illumos-gate/usr/src/test/util-tests/tests/awk/tests/
H A DT.flags20 grep '[Uu]sage' $TEMP1 >/dev/null || fail 'T.flags: bad usage'
23 grep 'no program' $TEMP1 >/dev/null || fail 'T.flags: bad no program'
26 grep 'can.t open' $TEMP1 >/dev/null || fail 'T.flags: bad can.t open program'
29 grep 'can.t open' $TEMP1 >/dev/null || fail 'T.flags: bad can.t open program 2'
32 grep 'unknown option' $TEMP1 >/dev/null || fail 'T.flags: bad unknown option'
35 grep 'field separator.*empty' $TEMP1 >/dev/null || fail 'T.flags: bad null field separator'
/illumos-gate/usr/src/test/zfs-tests/tests/functional/upgrade/
H A Dupgrade_projectquota_001_pos.ksh65 zfs projectspace -o used $TESTPOOL | grep -q "USED" &&
82 zfs projectspace -o used $TESTPOOL | grep -q "USED" &&
88 zfs projectspace -o used $TESTPOOL/fs1 | grep -q "USED" ||
94 zfs projectspace -o used $TESTPOOL/fs2 | grep -q "USED" ||
100 zfs projectspace -o used $TESTPOOL/fs3 | grep -q "USED" &&
107 zfs projectspace -o used $TESTPOOL/fs3 | grep -q "USED" ||
116 zfs projectspace -o used $TESTPOOL | grep -q "USED" &&
122 zfs projectspace -o used $TESTPOOL | grep -q "USED" ||
H A Dupgrade_userobj_001_pos.ksh59 zfs userspace -o objused -H $TESTPOOL | head -n 1 | grep -q "-" ||
66 zfs userspace -o objused -H $TESTPOOL | head -n 1 | grep -q "-" ||
74 zfs userspace -o objused -H $TESTPOOL/fs1 | head -n 1 | grep -q "-" &&
82 zfs userspace -o objused -H $TESTPOOL/fs2 | head -n 1 | grep -q "-" &&
87 zfs userspace -o objused -H $TESTPOOL | head -n 1 | grep -q "-" ||
92 zfs userspace -o objused -H $TESTPOOL | head -n 1 | grep -q "-" &&
/illumos-gate/usr/src/tools/smatch/src/smatch_data/db/
H A Dreload_partial.sh3 if echo $1 | grep -q '^-p' ; then
18 files=$(grep "insert into caller_info" $info_file | cut -d : -f 1 | sort -u)
29 grep "insert into caller_info" $info_file > $tmp_file
32 grep "insert into return_states" $info_file > $tmp_file
35 grep "into call_implies" $info_file > $tmp_file
38 grep "into return_implies" $info_file > $tmp_file
/illumos-gate/usr/src/test/util-tests/tests/mdb/numbers/
H A Dtst.prefsym.ksh33 $MDB -e "$tst_sym0=K" $tst_prog | grep -q "$tst_sym0"
39 $MDB -e "$tst_sym0/K | ::eval ./s" $tst_prog | grep -q 'Am I a string?'
49 $MDB -e "$tst_sym1=K" $tst_prog | grep -q "$tst_sym0"
56 $MDB -e "$tst_sym1/K | ::eval ./s" $tst_prog | grep -q 'I am not a string'
62 $MDB -e "$tst_sym2=K" $tst_prog | grep -q "$tst_sym2"
/illumos-gate/usr/src/cmd/svc/milestone/
H A Dnet-routing-setup57 nawk '/^ipv[46]-routing [.]*/ { print $2 }' | /usr/bin/grep "current=enabled"`
91 cat /etc/svc/volatile/etc/inet/static_routes | grep -v '^#' \
107 | /usr/bin/grep -E -- "-interface |-iface " | while read line; do
116 defrouters=`/usr/bin/grep -v \^\# /etc/defaultrouter | \
130 /usr/bin/grep '^default'`
178 /usr/bin/grep default >/dev/null 2>&1 && defrouters=yes
221 | /usr/bin/grep -v -E -- "-interface |-iface " | while read line; do
/illumos-gate/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_clear/
H A Dzpool_clear_001_pos.ksh94 zpool status -x $pool | grep -v "^$" | grep -v "pool:" \
95 | grep -v "state:" | grep -v "config:" \
96 | grep -v "errors:" > $tmpfile
101 echo $line | grep "NAME" >/dev/null 2>&1
107 echo $line | grep $checkvdev >/dev/null 2>&1
/illumos-gate/usr/src/test/smbclient-tests/include/
H A Dsmbutil_common.ksh54 Workgroup=$(cat $output|grep Workgroup \
58 Server=$(cat $output|grep Server \
78 str=$(cat $stdout |grep -v -- "---"|grep $share)
/illumos-gate/usr/src/grub/grub-0.97/util/
H A Dgrub-install.in133 tmp_drive=`grep -v '^#' $device_map | grep "$tmp_disk *$" \
149 if echo $tmp_part | grep "^s" >/dev/null; then
155 if echo $tmp_part | grep "[a-g]$" >/dev/null; then
163 if echo $tmp_part | grep "^s" >/dev/null; then
169 if echo $tmp_part | grep "[a-h]$" >/dev/null; then
177 if echo $tmp_part | grep "^[abe-p]$" >/dev/null; then
342 if grep "Error [0-9]*: " $log_file >/dev/null; then
433 if grep "Error [0-9]*: " $log_file >/dev/null; then
460 if grep "Error [0-9]*: " $log_file >/dev/null || test $debug = yes; then
/illumos-gate/usr/src/test/zfs-tests/tests/longevity/
H A Dslop_space_test.ksh79 grep $NESTEDPOOL | awk '{print $2}' | grep G)
83 grep $NESTEDPOOL | awk '{print $2}' | grep G)
91 grep $NESTEDPOOL | awk '{print $2}' | cut -d"M" -f1 | \
96 grep $NESTEDPOOL | awk '{print $2}' | cut -d"M" -f1 | \

12345678910>>...20